Bug 235624 - Cannot get MIDI to play
Cannot get MIDI to play
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: jack-audio-connection-kit (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Andy Shevchenko
Fedora Extras Quality Assurance
bzcl34nup
: Reopened
Depends On: 221785
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-08 10:09 EDT by Wayne Hammond
Modified: 2008-05-06 15:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.103.0-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:29:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Hammond 2007-04-08 10:09:34 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install Rosegarden
2.Attempt to open and play MIDI files
3.No sound output, qjackctl cannot start as user, only as root. Opening a
terminal and typing qjackctl opens jack and allows jack to start. MIDI still not
available for user.
  
Actual results:


Expected results:


Additional info:
Browsing web yeilded permissions issue.  Have not found solution as yet. Jack
appears to be in wrong location as when opening qjackctl as su an error message
appears: Warning: no locale found: /usr/share/locale/qjackctl_en_US.UTF-8.qm
but jack opens and can be started from terminal session as su.
Comment 1 Andy Shevchenko 2007-05-23 09:13:31 EDT
I'll push today the new version of the jack-audio-connection-kit to the devel 
repo. After it is built try to rebuild it on your fc6 box and after update 
just add yourself to the jackuser group.
The jackuser group is discussed at bug #221785. Please, refer to that bug 
later.
Comment 2 Wayne Hammond 2007-05-24 22:50:25 EDT
I have tried to update, but the repository doesn't respond.  I added myself to
the jack group.  Attempting to open Jack gives this message:
21:47:18.372 Patchbay deactivated.
21:47:19.025 Statistics reset.
21:47:20.028 Startup script...
21:47:20.028 artsshell -q terminate(default)
21:47:20.067 MIDI connection graph change.
sh: -c: line 0: syntax error near unexpected token `('
sh: -c: line 0: `artsshell -q terminate(default)'
21:47:20.271 Startup script terminated with exit status=512.
21:47:20.289 JACK is starting...
21:47:20.289 jackd-realtime -v -R -dalsa -dhw:0 -r48000 -p1024 -n2
21:47:20.297 Could not start JACK. Sorry.
21:47:22.908 JACK was stopped successfully.
21:47:23.115 MIDI connection change.
Comment 3 Andy Shevchenko 2007-05-29 11:00:33 EDT
How is the '(default)' pice found in the command line? Try to check your 
configuration.

Really, the last jack is allowed in the new rawhide repo (F-8 aka devel). But 
that repo isn't published while now (if I understand correctly). I'll put new 
jack in the F-7 repo in the near future (may be one or two weeks).
Comment 4 Andy Shevchenko 2007-06-11 09:12:35 EDT
Fixed for FC6, F-7, Rawhide. Please, check it and reopen this report if needs.
Comment 5 Wayne Hammond 2007-06-11 22:12:47 EDT
I believe I have the latest version of Jack as I have re-installed my operating
system as Fedora 7.  Attempts to open jack gives the following:

21:08:53.415 Patchbay deactivated.
21:08:53.447 Statistics reset.
21:08:53.830 MIDI connection graph change.
21:08:53.831 MIDI connection change.
21:08:55.959 Startup script...
21:08:55.960 artsshell -q terminate
sound server terminated
21:08:56.794 Startup script terminated successfully.
21:08:56.840 JACK is starting...
21:08:56.841 jackd -R -dalsa -dhw:0 -r48000 -p1024 -n2
21:08:56.851 JACK was started with PID=8349 (0x209d).
jackd 0.102.20
Copyright 2001-2005 Paul Davis and others.
jackd comes with ABSOLUTELY NO WARRANTY
This is free software, and you are welcome to redistribute it
under certain conditions; see the file COPYING for details
JACK compiled with System V SHM support.
cannot use real-time scheduling (FIFO at priority 10) [for thread -1208584512,
from thread -1208584512] (1: Operation not permitted)
cannot create engine
21:08:57.025 JACK was stopped successfully.
21:08:58.866 Could not connect to JACK server as client. Please check the
messages window for more info.
Comment 6 Wayne Hammond 2007-06-22 10:29:59 EDT
Still cannot get jack to connect, but, perhaps this bug is related to this one
now:  245285    	  	  
Comment 7 Andy Shevchenko 2007-06-27 11:20:09 EDT
Please, show outputs of the following commands:
 rpm -q jack-audio-connection-kit
 grep -n jackuser /etc/security/limits.conf /etc/group
Comment 8 Wayne Hammond 2007-06-27 11:59:48 EDT
Output from  rpm -q jack-audio-connection-kit:
jack-audio-connection-kit-0.102.20-4.fc7

Output from grep -n jackuser /etc/security/limits.conf /etc/group:
/etc/group:46:jackuser:x:334:

Comment 9 Andy Shevchenko 2007-07-04 04:40:07 EDT
Please, update the package to the 0.103.0-1.
Comment 10 Andy Shevchenko 2007-11-11 16:03:52 EST
Comment the current j-a-c-k behaviour for you, please.
Comment 11 David W. Legg 2007-12-29 06:55:19 EST
All this stuff seems to work ok, even with Rosegarden on FC7.
See my guide here:
http://www.legg.uklinux.net/rosegarden_sound_howto_fc7.html
Comment 12 Wayne Hammond 2007-12-29 13:42:18 EST
Since my last attempt, I have installed Fedora 8 with the hopes the interfaces
have improved.

Reinstalling jack, qsynth, and rosegarden using your tutorial did not solve my
problem. Jack would not start at all.  One of the messages in the Jack messgae
box was:
cannot use real-time scheduling (FIFO at priority 10) [for thread -1208645952,
from thread -1208645952] (1: Operation not permitted)

Un-checking the realtime parameter allowed starting.

Qsynth and Rosegarden then recognized jack as running, but I have no audio
output. Changing any other jack settings stops jack from loading.

Am I getting any closer to a resolution, or should I forget playing midi through
rosegarden? My wife would really like to use the program for music editing, but
is currently using a windows application because of the difficulty getting
interfaces to work in linux.



Comment 13 Bug Zapper 2008-04-04 02:49:01 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 14 Bug Zapper 2008-05-06 15:29:09 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.